package com.prolog.cs.biz.inbound.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@ApiModel
public class RcvInstockLinesQueryVO implements Serializable {

	private static final long serialVersionUID = 104857108132043589L;

	@ApiModelProperty(value = "仓库ID（冗余，关联收货单）")
	private String warehouseId;

	@ApiModelProperty(value = "货主ID（冗余，关联收货单）")
	private String mtlOwnerId;

	@ApiModelProperty(value = "订单类型")
	private String rcvType;

	@ApiModelProperty(value = "ASN单号")
	private String asnNo;

	@ApiModelProperty(value = "收货单号")
	private String rcvNo;

	@ApiModelProperty(value = "质检单号")
	private String rqcNo;

	@ApiModelProperty(value = "库别编号")
	private String whAreaCategoryCode;

	@ApiModelProperty(value = "库区编号")
	private String whAreaCode;

	@ApiModelProperty(value = "容器号")
	private String containerCode;

	@ApiModelProperty(value = "单位")
	private String shipperCondition;

	@ApiModelProperty(value = "商品")
	private String itemCondition;

	@ApiModelProperty(value = "状态 0 未上架 1 已上架")
	private String status;

	@ApiModelProperty(value = "(*)开始时间(收货)", position = -1)
	private Date startTime;

	@ApiModelProperty(value = "(*)结束时间(收货)", position = -1)
	private Date endTime;

	@ApiModelProperty(value = "收货单头ID")
	private String rcvHeaderId;

	@ApiModelProperty(value = "收货行头ID")
	private String rcvLineId;

	@ApiModelProperty(value = "商品ID")
	private String itemId;

	@ApiModelProperty(value = "批次号", hidden = true)
	private String batchNum;

	@ApiModelProperty(value = "任务池ID（来源TASK）")
	private String taskId;


	@ApiModelProperty(value = "收货库存结论（合格/不合格/待管/待检）")
	private String stockStatus;

	@ApiModelProperty(value = "企业id")
	private String enterpriseId;

	@ApiModelProperty(value = "打印状态0：未打印 1：已打印", position = -1)
	private String printStatus;

	@ApiModelProperty(value = "包含的id列表")
	private String includeIds;

	@ApiModelProperty(value = "排除的id列表")
	private String excludeIds;

	@ApiModelProperty(value = "上架任务池id")
	private List<String> taskIdList;

	public List<String> getTaskIdList() {
		return taskIdList;
	}

	public void setTaskIdList(List<String> taskIdList) {
		this.taskIdList = taskIdList;
	}

	public String getRcvType() {
		return rcvType;
	}

	public void setRcvType(String rcvType) {
		this.rcvType = rcvType;
	}

	public String getAsnNo() {
		return asnNo;
	}

	public void setAsnNo(String asnNo) {
		this.asnNo = asnNo;
	}

	public String getRcvNo() {
		return rcvNo;
	}

	public void setRcvNo(String rcvNo) {
		this.rcvNo = rcvNo;
	}

	public String getRqcNo() {
		return rqcNo;
	}

	public void setRqcNo(String rqcNo) {
		this.rqcNo = rqcNo;
	}

	public String getWhAreaCategoryCode() {
		return whAreaCategoryCode;
	}

	public void setWhAreaCategoryCode(String whAreaCategoryCode) {
		this.whAreaCategoryCode = whAreaCategoryCode;
	}

	public String getWhAreaCode() {
		return whAreaCode;
	}

	public void setWhAreaCode(String whAreaCode) {
		this.whAreaCode = whAreaCode;
	}

	public String getContainerCode() {
		return containerCode;
	}

	public void setContainerCode(String containerCode) {
		this.containerCode = containerCode;
	}

	public String getShipperCondition() {
		return shipperCondition;
	}

	public void setShipperCondition(String shipperCondition) {
		this.shipperCondition = shipperCondition;
	}

	public String getItemCondition() {
		return itemCondition;
	}

	public void setItemCondition(String itemCondition) {
		this.itemCondition = itemCondition;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public Date getStartTime() {
		return startTime;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

	public String getIncludeIds() {
		return includeIds;
	}

	public void setIncludeIds(String includeIds) {
		this.includeIds = includeIds;
	}

	public String getExcludeIds() {
		return excludeIds;
	}

	public void setExcludeIds(String excludeIds) {
		this.excludeIds = excludeIds;
	}

	public String getRcvHeaderId() {
		return rcvHeaderId;
	}

	public void setRcvHeaderId(String rcvHeaderId) {
		this.rcvHeaderId = rcvHeaderId;
	}

	public String getRcvLineId() {
		return rcvLineId;
	}

	public void setRcvLineId(String rcvLineId) {
		this.rcvLineId = rcvLineId;
	}

	public String getItemId() {
		return itemId;
	}

	public void setItemId(String itemId) {
		this.itemId = itemId;
	}

	public String getBatchNum() {
		return batchNum;
	}

	public void setBatchNum(String batchNum) {
		this.batchNum = batchNum;
	}

	public String getTaskId() {
		return taskId;
	}

	public void setTaskId(String taskId) {
		this.taskId = taskId;
	}

	public String getMtlOwnerId() {
		return mtlOwnerId;
	}

	public void setMtlOwnerId(String mtlOwnerId) {
		this.mtlOwnerId = mtlOwnerId;
	}

	public String getWarehouseId() {
		return warehouseId;
	}

	public void setWarehouseId(String warehouseId) {
		this.warehouseId = warehouseId;
	}

	public String getStockStatus() {
		return stockStatus;
	}

	public void setStockStatus(String stockStatus) {
		this.stockStatus = stockStatus;
	}

	public String getEnterpriseId() {
		return enterpriseId;
	}

	public void setEnterpriseId(String enterpriseId) {
		this.enterpriseId = enterpriseId;
	}

	public String getPrintStatus() {
		return printStatus;
	}

	public void setPrintStatus(String printStatus) {
		this.printStatus = printStatus;
	}
}
